package com.ruoyi.web.stock.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 仓库基础设置实体 warehouse_base。
 */
public class WarehouseBase extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "仓库编号")
    private String warehouseNo;

    @Excel(name = "仓库名称")
    private String warehouseName;

    @Excel(name = "英文名称")
    private String engName;

    @Excel(name = "仓库地址")
    private String warehouseAddress;

    @Excel(name = "是否总仓", readConverterExp = "0=否,1=是")
    private Integer isCentral;

    private String delFlag;

    @Excel(name = "所属企业")
    private String orgId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWarehouseNo() {
        return warehouseNo;
    }

    public void setWarehouseNo(String warehouseNo) {
        this.warehouseNo = warehouseNo;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getEngName() {
        return engName;
    }

    public void setEngName(String engName) {
        this.engName = engName;
    }

    public String getWarehouseAddress() {
        return warehouseAddress;
    }

    public void setWarehouseAddress(String warehouseAddress) {
        this.warehouseAddress = warehouseAddress;
    }

    public Integer getIsCentral() {
        return isCentral;
    }

    public void setIsCentral(Integer isCentral) {
        this.isCentral = isCentral;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
}
